searchNodes=[{"doc":"A dependency free library to infer file and MIME type by checking the magic number signature. An elixir adaption of the infer rust library.","ref":"Infer.html","title":"Infer","type":"module"},{"doc":"Takes the binary file contents as argument and returns the Infer.Type.t/0 if the file matches one of the supported types. Returns nil otherwise. Examples iex&gt; binary = File . read! ( &quot;test/images/sample.png&quot; ) iex&gt; Infer . get ( binary ) % Infer.Type { extension : &quot;png&quot; , matcher : &amp; Infer.Image . is_png / 1 , matcher_type : :image , mime_type : &quot;image/png&quot; }","ref":"Infer.html#get/1","title":"Infer.get/1","type":"function"},{"doc":"Same as Infer.get/1 , but takes the file path as argument. Examples iex&gt; Infer . get_from_path ( &quot;test/images/sample.png&quot; ) % Infer.Type { extension : &quot;png&quot; , matcher : &amp; Infer.Image . is_png / 1 , matcher_type : :image , mime_type : &quot;image/png&quot; }","ref":"Infer.html#get_from_path/1","title":"Infer.get_from_path/1","type":"function"},{"doc":"Takes the binary content and the file extension as arguments. Returns whether the file content is of the given extension. Examples iex&gt; binary = File . read! ( &quot;test/images/sample.png&quot; ) iex&gt; Infer . is ( binary , &quot;png&quot; ) true","ref":"Infer.html#is/2","title":"Infer.is/2","type":"function"},{"doc":"Takes the binary file contents as argument and returns whether the file is an application or not. Examples iex&gt; binary = File . read! ( &quot;test/app/sample.wasm&quot; ) iex&gt; Infer . is_app ( binary ) true iex&gt; binary = File . read! ( &quot;test/images/sample.png&quot; ) iex&gt; Infer . is_app ( binary ) false","ref":"Infer.html#is_app/1","title":"Infer.is_app/1","type":"function"},{"doc":"Takes the binary file contents as argument and returns whether the file is an archive or not. Examples iex&gt; binary = File . read! ( &quot;test/archives/sample.zip&quot; ) iex&gt; Infer . is_archive ( binary ) true iex&gt; binary = File . read! ( &quot;test/images/sample.png&quot; ) iex&gt; Infer . is_archive ( binary ) false","ref":"Infer.html#is_archive/1","title":"Infer.is_archive/1","type":"function"},{"doc":"Takes the binary file contents as argument and returns whether the file is an archive or not. Examples iex&gt; binary = File . read! ( &quot;test/audio/sample.mp3&quot; ) iex&gt; Infer . is_audio ( binary ) true iex&gt; binary = File . read! ( &quot;test/images/sample.png&quot; ) iex&gt; Infer . is_audio ( binary ) false","ref":"Infer.html#is_audio/1","title":"Infer.is_audio/1","type":"function"},{"doc":"Takes the binary file contents as argument and returns whether the file is an book (epub or mobi) or not. Examples iex&gt; binary = File . read! ( &quot;test/books/sample.epub&quot; ) iex&gt; Infer . is_book ( binary ) true iex&gt; binary = File . read! ( &quot;test/images/sample.png&quot; ) iex&gt; Infer . is_book ( binary ) false","ref":"Infer.html#is_book/1","title":"Infer.is_book/1","type":"function"},{"doc":"Takes the binary file contents as argument and returns whether the file is a document (microsoft office, open office) Examples iex&gt; binary = File . read! ( &quot;test/docs/sample.xlsx&quot; ) iex&gt; Infer . is_document ( binary ) true iex&gt; binary = File . read! ( &quot;test/docs/sample.pptx&quot; ) iex&gt; Infer . is_document ( binary ) true iex&gt; binary = File . read! ( &quot;test/docs/sample.odp&quot; ) iex&gt; Infer . is_document ( binary ) true iex&gt; binary = File . read! ( &quot;test/images/sample.png&quot; ) iex&gt; Infer . is_document ( binary ) false","ref":"Infer.html#is_document/1","title":"Infer.is_document/1","type":"function"},{"doc":"Takes the binary file contents as argument and returns whether the file is a font or not. Examples iex&gt; binary = File . read! ( &quot;test/fonts/sample.ttf&quot; ) iex&gt; Infer . is_font ( binary ) true iex&gt; binary = File . read! ( &quot;test/app/sample.wasm&quot; ) iex&gt; Infer . is_font ( binary ) false","ref":"Infer.html#is_font/1","title":"Infer.is_font/1","type":"function"},{"doc":"Takes the binary file contents as argument and returns whether the file is an image or not. Examples iex&gt; binary = File . read! ( &quot;test/images/sample.png&quot; ) iex&gt; Infer . is_image ( binary ) true iex&gt; binary = File . read! ( &quot;test/app/sample.wasm&quot; ) iex&gt; Infer . is_image ( binary ) false","ref":"Infer.html#is_image/1","title":"Infer.is_image/1","type":"function"},{"doc":"Takes the binary content and the file extension as arguments. Returns whether the file content is of the given mime type. Examples iex&gt; binary = File . read! ( &quot;test/images/sample.png&quot; ) iex&gt; Infer . is_mime ( binary , &quot;image/png&quot; ) true","ref":"Infer.html#is_mime/2","title":"Infer.is_mime/2","type":"function"},{"doc":"Returns whether the given mime type is supported. Examples iex&gt; Infer . is_mime_supported ( &quot;image/png&quot; ) true","ref":"Infer.html#is_mime_supported/1","title":"Infer.is_mime_supported/1","type":"function"},{"doc":"Returns whether the given extension is supported. Examples iex&gt; Infer . is_supported ( &quot;png&quot; ) true","ref":"Infer.html#is_supported/1","title":"Infer.is_supported/1","type":"function"},{"doc":"Takes the binary file contents as argument and returns whether the file is a video or not. Examples iex&gt; binary = File . read! ( &quot;test/videos/sample.mp4&quot; ) iex&gt; Infer . is_video ( binary ) true iex&gt; binary = File . read! ( &quot;test/app/sample.wasm&quot; ) iex&gt; Infer . is_video ( binary ) false","ref":"Infer.html#is_video/1","title":"Infer.is_video/1","type":"function"},{"doc":"Application type matchers based on the magic number","ref":"Infer.App.html","title":"Infer.App","type":"module"},{"doc":"Takes the binary file contents as arguments. Returns true if it's a Common Object File Format.","ref":"Infer.App.html#is_coff/1","title":"Infer.App.is_coff/1","type":"function"},{"doc":"Takes the binary file contents as arguments. Returns true if it's a Common Object File Format for i386 architecture.","ref":"Infer.App.html#is_coff_i386/1","title":"Infer.App.is_coff_i386/1","type":"function"},{"doc":"Takes the binary file contents as arguments. Returns true if it's a Common Object File Format for Itanium architecture.","ref":"Infer.App.html#is_coff_ia64/1","title":"Infer.App.is_coff_ia64/1","type":"function"},{"doc":"Takes the binary file contents as arguments. Returns true if it's a Common Object File Format for x64 architecture.","ref":"Infer.App.html#is_coff_x64/1","title":"Infer.App.is_coff_x64/1","type":"function"},{"doc":"Takes the binary file contents as arguments. Returns true if it's a DER encoded X.509 certificate. See: https://github.com/ReFirmLabs/binwalk/blob/master/src/binwalk/magic/crypto#L25-L37 See: https://www.digitalocean.com/community/tutorials/openssl-essentials-working-with-ssl-certificates-private-keys-and-csrs Examples iex&gt; binary = File . read! ( &quot;test/app/sample.der&quot; ) iex&gt; Infer.App . is_der ( binary ) true iex&gt; binary = File . read! ( &quot;test/app/sample.wasm&quot; ) iex&gt; Infer.App . is_der ( binary ) false","ref":"Infer.App.html#is_der/1","title":"Infer.App.is_der/1","type":"function"},{"doc":"Takes the binary file contents as arguments. Returns true if it's a Dalvik Executable (DEX). See: https://source.android.com/devices/tech/dalvik/dex-format#dex-file-magic","ref":"Infer.App.html#is_dex/1","title":"Infer.App.is_dex/1","type":"function"},{"doc":"Takes the binary file contents as arguments. Returns true if it's a Optimized Dalvik Executable (ODEX). See: https://source.android.com/devices/tech/dalvik/dex-format#dex-file-magic","ref":"Infer.App.html#is_dey/1","title":"Infer.App.is_dey/1","type":"function"},{"doc":"Takes the binary file contents as arguments. Returns true if it's a EXE or DLL. DLL and EXE share the same magic number. Examples iex&gt; binary = File . read! ( &quot;test/app/sample.exe&quot; ) iex&gt; Infer.App . is_dll ( binary ) true iex&gt; binary = File . read! ( &quot;test/app/sample.wasm&quot; ) iex&gt; Infer.App . is_dll ( binary ) false","ref":"Infer.App.html#is_dll/1","title":"Infer.App.is_dll/1","type":"function"},{"doc":"Takes the binary file contents as arguments. Returns true if it's a elf. DLL and EXE share the same magic number. Examples iex&gt; binary = File . read! ( &quot;test/app/sample_elf&quot; ) iex&gt; Infer.App . is_elf ( binary ) true iex&gt; binary = File . read! ( &quot;test/app/sample.wasm&quot; ) iex&gt; Infer.App . is_elf ( binary ) false","ref":"Infer.App.html#is_elf/1","title":"Infer.App.is_elf/1","type":"function"},{"doc":"Takes the binary file contents as arguments. Returns true if it's a EXE or DLL. DLL and EXE share the same magic number. Examples iex&gt; binary = File . read! ( &quot;test/app/sample.exe&quot; ) iex&gt; Infer.App . is_exe ( binary ) true iex&gt; binary = File . read! ( &quot;test/app/sample.wasm&quot; ) iex&gt; Infer.App . is_exe ( binary ) false","ref":"Infer.App.html#is_exe/1","title":"Infer.App.is_exe/1","type":"function"},{"doc":"Takes the binary file contents as arguments. Returns true if it's compiled java bytecode.","ref":"Infer.App.html#is_java/1","title":"Infer.App.is_java/1","type":"function"},{"doc":"Takes the binary file contents as arguments. Returns true if it's LLVM bitcode.","ref":"Infer.App.html#is_llvm/1","title":"Infer.App.is_llvm/1","type":"function"},{"doc":"Takes the binary file contents as arguments. Returns true if it's a Mach-O binary. Mach-O binaries can be one of four variants: x86, x64, PowerPC, &quot;Fat&quot; (x86 + PowerPC) See: https://ilostmynotes.blogspot.com/2014/05/mach-o-filetype-identification.html Examples iex&gt; binary = File . read! ( &quot;test/app/sample_mach_fat&quot; ) iex&gt; Infer.App . is_mach ( binary ) true iex&gt; binary = File . read! ( &quot;test/app/sample_mach_ppc&quot; ) iex&gt; Infer.App . is_mach ( binary ) true iex&gt; binary = File . read! ( &quot;test/app/sample_mach_x64&quot; ) iex&gt; Infer.App . is_mach ( binary ) true iex&gt; binary = File . read! ( &quot;test/app/sample_mach_x86&quot; ) iex&gt; Infer.App . is_mach ( binary ) true iex&gt; binary = File . read! ( &quot;test/app/sample.wasm&quot; ) iex&gt; Infer.App . is_mach ( binary ) false","ref":"Infer.App.html#is_mach/1","title":"Infer.App.is_mach/1","type":"function"},{"doc":"Takes the binary file contents as arguments. Returns true if it's a WASM. See: http://webassembly.github.io/spec/core/binary/modules.html#binary-magic Examples iex&gt; binary = File . read! ( &quot;test/app/sample.wasm&quot; ) iex&gt; Infer.App . is_wasm ( binary ) true iex&gt; binary = File . read! ( &quot;test/app/sample.exe&quot; ) iex&gt; Infer.App . is_wasm ( binary ) false","ref":"Infer.App.html#is_wasm/1","title":"Infer.App.is_wasm/1","type":"function"},{"doc":"Archive type matchers based on the magic number","ref":"Infer.Archive.html","title":"Infer.Archive","type":"module"},{"doc":"Takes the binary file contents as arguments. Returns true if it's a 7z archive.","ref":"Infer.Archive.html#is_7z/1","title":"Infer.Archive.is_7z/1","type":"function"},{"doc":"Takes the binary file contents as arguments. Returns true if it's a ar archive.","ref":"Infer.Archive.html#is_ar/1","title":"Infer.Archive.is_ar/1","type":"function"},{"doc":"Takes the binary file contents as arguments. Returns true if it's a bzip archive.","ref":"Infer.Archive.html#is_bz2/1","title":"Infer.Archive.is_bz2/1","type":"function"},{"doc":"Takes the binary file contents as arguments. Returns true if it's a CAB.","ref":"Infer.Archive.html#is_cab/1","title":"Infer.Archive.is_cab/1","type":"function"},{"doc":"Takes the binary file contents as arguments. Returns true if it's a Google Chrome Extension.","ref":"Infer.Archive.html#is_crx/1","title":"Infer.Archive.is_crx/1","type":"function"},{"doc":"Takes the binary file contents as arguments. Returns true if it's a dcm archive.","ref":"Infer.Archive.html#is_dcm/1","title":"Infer.Archive.is_dcm/1","type":"function"},{"doc":"Takes the binary file contents as arguments. Returns true if it's a deb archive.","ref":"Infer.Archive.html#is_deb/1","title":"Infer.Archive.is_deb/1","type":"function"},{"doc":"Takes the binary file contents as arguments. Returns true if it's a eot octet stream.","ref":"Infer.Archive.html#is_eot/1","title":"Infer.Archive.is_eot/1","type":"function"},{"doc":"See Infer.Book.is_epub/1 .","ref":"Infer.Archive.html#is_epub/1","title":"Infer.Archive.is_epub/1","type":"function"},{"doc":"Takes the binary file contents as arguments. Returns true if it's a gzip archive.","ref":"Infer.Archive.html#is_gz/1","title":"Infer.Archive.is_gz/1","type":"function"},{"doc":"Takes the binary file contents as arguments. Returns true if it's a lzip archive.","ref":"Infer.Archive.html#is_lz/1","title":"Infer.Archive.is_lz/1","type":"function"},{"doc":"Takes the binary file contents as arguments. Returns true if it's a MSI windows installer archive.","ref":"Infer.Archive.html#is_msi/1","title":"Infer.Archive.is_msi/1","type":"function"},{"doc":"Takes the binary file contents as arguments. Returns true if it's a Nintendo NES ROM.","ref":"Infer.Archive.html#is_nes/1","title":"Infer.Archive.is_nes/1","type":"function"},{"doc":"Takes the binary file contents as arguments. Returns true if it's a pdf. Examples iex&gt; binary = File . read! ( &quot;test/archives/sample.pdf&quot; ) iex&gt; Infer.Archive . is_pdf ( binary ) true","ref":"Infer.Archive.html#is_pdf/1","title":"Infer.Archive.is_pdf/1","type":"function"},{"doc":"Takes the binary file contents as arguments. Returns true if it's a postscript.","ref":"Infer.Archive.html#is_ps/1","title":"Infer.Archive.is_ps/1","type":"function"},{"doc":"Takes the binary file contents as arguments. Returns true if it's a rar archive.","ref":"Infer.Archive.html#is_rar/1","title":"Infer.Archive.is_rar/1","type":"function"},{"doc":"Takes the binary file contents as arguments. Returns true if it's a RPM.","ref":"Infer.Archive.html#is_rpm/1","title":"Infer.Archive.is_rpm/1","type":"function"},{"doc":"Takes the binary file contents as arguments. Returns true if it's a rtf.","ref":"Infer.Archive.html#is_rtf/1","title":"Infer.Archive.is_rtf/1","type":"function"},{"doc":"Takes the binary file contents as arguments. Returns true if it's a sqlite3 database. Examples iex&gt; binary = File . read! ( &quot;test/archives/sample.db&quot; ) iex&gt; Infer.Archive . is_sqlite ( binary ) true","ref":"Infer.Archive.html#is_sqlite/1","title":"Infer.Archive.is_sqlite/1","type":"function"},{"doc":"Takes the binary file contents as arguments. Returns true if it's a swf.","ref":"Infer.Archive.html#is_swf/1","title":"Infer.Archive.is_swf/1","type":"function"},{"doc":"Takes the binary file contents as arguments. Returns true if it's a tar archive.","ref":"Infer.Archive.html#is_tar/1","title":"Infer.Archive.is_tar/1","type":"function"},{"doc":"Takes the binary file contents as arguments. Returns true if it's a xz archive.","ref":"Infer.Archive.html#is_xz/1","title":"Infer.Archive.is_xz/1","type":"function"},{"doc":"Takes the binary file contents as arguments. Returns true if it's a z archive.","ref":"Infer.Archive.html#is_z/1","title":"Infer.Archive.is_z/1","type":"function"},{"doc":"Takes the binary file contents as arguments. Returns true if it's a zip archive. See: https://en.wikipedia.org/wiki/List_of_file_signatures Examples iex&gt; binary = File . read! ( &quot;test/archives/sample.zip&quot; ) iex&gt; Infer.Archive . is_zip ( binary ) true","ref":"Infer.Archive.html#is_zip/1","title":"Infer.Archive.is_zip/1","type":"function"},{"doc":"Takes the binary file contents as arguments. Returns true if it's a Zstd archive. ## Examples iex&gt; binary = File . read! ( &quot;test/archives/sample.tar.zst&quot; ) iex&gt; Infer.Archive . is_zst ( binary ) true","ref":"Infer.Archive.html#is_zst/1","title":"Infer.Archive.is_zst/1","type":"function"},{"doc":"Audio type matchers based on the magic number","ref":"Infer.Audio.html","title":"Infer.Audio","type":"module"},{"doc":"Takes the binary file contents as arguments. Returns true if it's a aac.","ref":"Infer.Audio.html#is_aac/1","title":"Infer.Audio.is_aac/1","type":"function"},{"doc":"Takes the binary file contents as arguments. Returns true if it's an aiff.","ref":"Infer.Audio.html#is_aiff/1","title":"Infer.Audio.is_aiff/1","type":"function"},{"doc":"Takes the binary file contents as arguments. Returns true if it's a amr.","ref":"Infer.Audio.html#is_amr/1","title":"Infer.Audio.is_amr/1","type":"function"},{"doc":"Takes the binary file contents as arguments. Returns true if it's a flac.","ref":"Infer.Audio.html#is_flac/1","title":"Infer.Audio.is_flac/1","type":"function"},{"doc":"Takes the binary file contents as arguments. Returns true if it's a m4a.","ref":"Infer.Audio.html#is_m4a/1","title":"Infer.Audio.is_m4a/1","type":"function"},{"doc":"Takes the binary file contents as arguments. Returns true if it's a midi.","ref":"Infer.Audio.html#is_midi/1","title":"Infer.Audio.is_midi/1","type":"function"},{"doc":"Takes the binary file contents as arguments. Returns true if it's a mp3. Examples iex&gt; binary = File . read! ( &quot;test/audio/sample.mp3&quot; ) iex&gt; Infer.Audio . is_mp3 ( binary ) true","ref":"Infer.Audio.html#is_mp3/1","title":"Infer.Audio.is_mp3/1","type":"function"},{"doc":"Takes the binary file contents as arguments. Returns true if it's a ogg.","ref":"Infer.Audio.html#is_ogg/1","title":"Infer.Audio.is_ogg/1","type":"function"},{"doc":"Takes the binary file contents as arguments. Returns true if it's a wav.","ref":"Infer.Audio.html#is_wav/1","title":"Infer.Audio.is_wav/1","type":"function"},{"doc":"Book type matchers based on the magic number","ref":"Infer.Book.html","title":"Infer.Book","type":"module"},{"doc":"Takes the binary file contents as arguments. Returns true if it's a epub. Examples iex&gt; binary = File . read! ( &quot;test/books/sample.epub&quot; ) iex&gt; Infer.Book . is_epub ( binary ) true iex&gt; binary = File . read! ( &quot;test/books/sample.mobi&quot; ) iex&gt; Infer.Book . is_epub ( binary ) false","ref":"Infer.Book.html#is_epub/1","title":"Infer.Book.is_epub/1","type":"function"},{"doc":"Takes the binary file contents as arguments. Returns true if it's a mobi. Examples iex&gt; binary = File . read! ( &quot;test/books/sample.mobi&quot; ) iex&gt; Infer.Book . is_mobi ( binary ) true iex&gt; binary = File . read! ( &quot;test/books/sample.epub&quot; ) iex&gt; Infer.Book . is_mobi ( binary ) false","ref":"Infer.Book.html#is_mobi/1","title":"Infer.Book.is_mobi/1","type":"function"},{"doc":"Document type matchers based on the magic number","ref":"Infer.Doc.html","title":"Infer.Doc","type":"module"},{"doc":"Takes the binary file contents as arguments. Returns true if it's Microsoft Word Document (DOC) data. Examples iex&gt; binary = File . read! ( &quot;test/docs/sample.doc&quot; ) iex&gt; Infer.Doc . is_doc ( binary ) true iex&gt; binary = File . read! ( &quot;test/docs/sample.docx&quot; ) iex&gt; Infer.Doc . is_doc ( binary ) false","ref":"Infer.Doc.html#is_doc/1","title":"Infer.Doc.is_doc/1","type":"function"},{"doc":"Takes the binary file contents as arguments. Returns true if it's Microsoft Word Open XML Format Document (DOCX) data. Examples iex&gt; binary = File . read! ( &quot;test/docs/sample.docx&quot; ) iex&gt; Infer.Doc . is_docx ( binary ) true iex&gt; binary = File . read! ( &quot;test/docs/sample.xlsx&quot; ) iex&gt; Infer.Doc . is_docx ( binary ) false","ref":"Infer.Doc.html#is_docx/1","title":"Infer.Doc.is_docx/1","type":"function"},{"doc":"Takes the binary file contents as arguments. Returns true if it's an OpenDocument Presentation Document. Examples iex&gt; binary = File . read! ( &quot;test/docs/sample.odp&quot; ) iex&gt; Infer.Doc . is_odp ( binary ) true iex&gt; binary = File . read! ( &quot;test/docs/sample.odp&quot; ) iex&gt; Infer.Doc . is_odt ( binary ) false","ref":"Infer.Doc.html#is_odp/1","title":"Infer.Doc.is_odp/1","type":"function"},{"doc":"Takes the binary file contents as arguments. Returns true if it's an OpenDocument Spreadsheet Document. Examples iex&gt; binary = File . read! ( &quot;test/docs/sample.ods&quot; ) iex&gt; Infer.Doc . is_ods ( binary ) true iex&gt; binary = File . read! ( &quot;test/docs/sample.ods&quot; ) iex&gt; Infer.Doc . is_odt ( binary ) false","ref":"Infer.Doc.html#is_ods/1","title":"Infer.Doc.is_ods/1","type":"function"},{"doc":"Takes the binary file contents as arguments. Returns true if it's an OpenDocument Text Document. Examples iex&gt; binary = File . read! ( &quot;test/docs/sample.odt&quot; ) iex&gt; Infer.Doc . is_odt ( binary ) true iex&gt; binary = File . read! ( &quot;test/docs/sample.odt&quot; ) iex&gt; Infer.Doc . is_pptx ( binary ) false","ref":"Infer.Doc.html#is_odt/1","title":"Infer.Doc.is_odt/1","type":"function"},{"doc":"Takes the binary file contents as arguments. Returns true if it's Microsoft Power Point Document (PPT) data. Examples iex&gt; binary = File . read! ( &quot;test/docs/sample.ppt&quot; ) iex&gt; Infer.Doc . is_ppt ( binary ) true iex&gt; binary = File . read! ( &quot;test/docs/sample.doc&quot; ) iex&gt; Infer.Doc . is_ppt ( binary ) false","ref":"Infer.Doc.html#is_ppt/1","title":"Infer.Doc.is_ppt/1","type":"function"},{"doc":"Takes the binary file contents as arguments. Returns true if it's Microsoft PowerPoint Open XML Presentation (PPTX) data. Examples iex&gt; binary = File . read! ( &quot;test/docs/sample.pptx&quot; ) iex&gt; Infer.Doc . is_pptx ( binary ) true iex&gt; binary = File . read! ( &quot;test/docs/sample.xlsx&quot; ) iex&gt; Infer.Doc . is_pptx ( binary ) false","ref":"Infer.Doc.html#is_pptx/1","title":"Infer.Doc.is_pptx/1","type":"function"},{"doc":"Takes the binary file contents as arguments. Returns true if it's Microsoft Excel (XLS) data. Examples iex&gt; binary = File . read! ( &quot;test/docs/sample.xls&quot; ) iex&gt; Infer.Doc . is_xls ( binary ) true iex&gt; binary = File . read! ( &quot;test/docs/sample.doc&quot; ) iex&gt; Infer.Doc . is_xls ( binary ) false","ref":"Infer.Doc.html#is_xls/1","title":"Infer.Doc.is_xls/1","type":"function"},{"doc":"Takes the binary file contents as arguments. Returns true if it's Microsoft Excel Open XML Format Spreadsheet (XLSX) data. Examples iex&gt; binary = File . read! ( &quot;test/docs/sample.xlsx&quot; ) iex&gt; Infer.Doc . is_xlsx ( binary ) true iex&gt; binary = File . read! ( &quot;test/docs/sample.docx&quot; ) iex&gt; Infer.Doc . is_xlsx ( binary ) false","ref":"Infer.Doc.html#is_xlsx/1","title":"Infer.Doc.is_xlsx/1","type":"function"},{"doc":"Font type matchers based on the magic number","ref":"Infer.Font.html","title":"Infer.Font","type":"module"},{"doc":"Takes the binary file contents as arguments. Returns true if it's a otf font.","ref":"Infer.Font.html#is_otf/1","title":"Infer.Font.is_otf/1","type":"function"},{"doc":"Takes the binary file contents as arguments. Returns true if it's a ttf font. Examples iex&gt; binary = File . read! ( &quot;test/fonts/sample.ttf&quot; ) iex&gt; Infer.Font . is_ttf ( binary ) true","ref":"Infer.Font.html#is_ttf/1","title":"Infer.Font.is_ttf/1","type":"function"},{"doc":"Takes the binary file contents as arguments. Returns true if it's a woff font.","ref":"Infer.Font.html#is_woff/1","title":"Infer.Font.is_woff/1","type":"function"},{"doc":"Takes the binary file contents as arguments. Returns true if it's a woff2 font.","ref":"Infer.Font.html#is_woff2/1","title":"Infer.Font.is_woff2/1","type":"function"},{"doc":"Image type matchers based on the magic number","ref":"Infer.Image.html","title":"Infer.Image","type":"module"},{"doc":"Takes the binary file contents as arguments. Returns true if it's a avif. Examples iex&gt; binary = File . read! ( &quot;test/images/sample.avif&quot; ) iex&gt; Infer.Image . is_avif ( binary ) true iex&gt; binary = File . read! ( &quot;test/images/sample.heif&quot; ) iex&gt; Infer.Image . is_avif ( binary ) false","ref":"Infer.Image.html#is_avif/1","title":"Infer.Image.is_avif/1","type":"function"},{"doc":"Takes the binary file contents as arguments. Returns true if it's a bmp. Examples iex&gt; binary = File . read! ( &quot;test/images/sample.bmp&quot; ) iex&gt; Infer.Image . is_bmp ( binary ) true iex&gt; binary = File . read! ( &quot;test/images/sample.png&quot; ) iex&gt; Infer.Image . is_bmp ( binary ) false","ref":"Infer.Image.html#is_bmp/1","title":"Infer.Image.is_bmp/1","type":"function"},{"doc":"Takes the binary file contents as arguments. Returns true if it's a cr2. Examples iex&gt; binary = File . read! ( &quot;test/images/sample.cr2&quot; ) iex&gt; Infer.Image . is_cr2 ( binary ) true iex&gt; binary = File . read! ( &quot;test/images/sample.tiff&quot; ) iex&gt; Infer.Image . is_cr2 ( binary ) false","ref":"Infer.Image.html#is_cr2/1","title":"Infer.Image.is_cr2/1","type":"function"},{"doc":"Takes the binary file contents as arguments. Returns true if it's a gif. Examples iex&gt; binary = File . read! ( &quot;test/images/sample.gif&quot; ) iex&gt; Infer.Image . is_gif ( binary ) true iex&gt; binary = File . read! ( &quot;test/images/sample.jpg&quot; ) iex&gt; Infer.Image . is_gif ( binary ) false","ref":"Infer.Image.html#is_gif/1","title":"Infer.Image.is_gif/1","type":"function"},{"doc":"Takes the binary file contents as arguments. Returns true if it's a heif. Examples iex&gt; binary = File . read! ( &quot;test/images/sample.heif&quot; ) iex&gt; Infer.Image . is_heif ( binary ) true iex&gt; binary = File . read! ( &quot;test/images/sample.avif&quot; ) iex&gt; Infer.Image . is_heif ( binary ) false","ref":"Infer.Image.html#is_heif/1","title":"Infer.Image.is_heif/1","type":"function"},{"doc":"Takes the binary file contents as arguments. Returns true if it's a ico. Examples iex&gt; binary = File . read! ( &quot;test/images/sample.ico&quot; ) iex&gt; Infer.Image . is_ico ( binary ) true iex&gt; binary = File . read! ( &quot;test/images/sample.png&quot; ) iex&gt; Infer.Image . is_ico ( binary ) false","ref":"Infer.Image.html#is_ico/1","title":"Infer.Image.is_ico/1","type":"function"},{"doc":"Takes the binary file contents as arguments. Returns true if it's a jpeg. Examples iex&gt; binary = File . read! ( &quot;test/images/sample.jpg&quot; ) iex&gt; Infer.Image . is_jpeg ( binary ) true iex&gt; binary = File . read! ( &quot;test/images/sample.jp2&quot; ) iex&gt; Infer.Image . is_jpeg ( binary ) false","ref":"Infer.Image.html#is_jpeg/1","title":"Infer.Image.is_jpeg/1","type":"function"},{"doc":"Takes the binary file contents as arguments. Returns true if it's a jpeg2000. Examples iex&gt; binary = File . read! ( &quot;test/images/sample.jp2&quot; ) iex&gt; Infer.Image . is_jpeg2000 ( binary ) true iex&gt; binary = File . read! ( &quot;test/images/sample.jpg&quot; ) iex&gt; Infer.Image . is_jpeg2000 ( binary ) false","ref":"Infer.Image.html#is_jpeg2000/1","title":"Infer.Image.is_jpeg2000/1","type":"function"},{"doc":"Takes the binary file contents as arguments. Returns true if it's a jxr. Examples iex&gt; binary = File . read! ( &quot;test/images/sample.jxr&quot; ) iex&gt; Infer.Image . is_jxr ( binary ) true iex&gt; binary = File . read! ( &quot;test/images/sample.png&quot; ) iex&gt; Infer.Image . is_jxr ( binary ) false","ref":"Infer.Image.html#is_jxr/1","title":"Infer.Image.is_jxr/1","type":"function"},{"doc":"Takes the binary file contents as arguments. Returns true if it's a png. Examples iex&gt; binary = File . read! ( &quot;test/images/sample.png&quot; ) iex&gt; Infer.Image . is_png ( binary ) true iex&gt; binary = File . read! ( &quot;test/images/sample.jpg&quot; ) iex&gt; Infer.Image . is_png ( binary ) false","ref":"Infer.Image.html#is_png/1","title":"Infer.Image.is_png/1","type":"function"},{"doc":"Takes the binary file contents as arguments. Returns true if it's a psd. Examples iex&gt; binary = File . read! ( &quot;test/images/sample.psd&quot; ) iex&gt; Infer.Image . is_psd ( binary ) true iex&gt; binary = File . read! ( &quot;test/images/sample.png&quot; ) iex&gt; Infer.Image . is_psd ( binary ) false","ref":"Infer.Image.html#is_psd/1","title":"Infer.Image.is_psd/1","type":"function"},{"doc":"Takes the binary file contents as arguments. Returns true if it's a tiff. Examples iex&gt; binary = File . read! ( &quot;test/images/sample.tiff&quot; ) iex&gt; Infer.Image . is_tiff ( binary ) true iex&gt; binary = File . read! ( &quot;test/images/sample.cr2&quot; ) iex&gt; Infer.Image . is_tiff ( binary ) false","ref":"Infer.Image.html#is_tiff/1","title":"Infer.Image.is_tiff/1","type":"function"},{"doc":"Takes the binary file contents as arguments. Returns true if it's a webp. Examples iex&gt; binary = File . read! ( &quot;test/images/sample.webp&quot; ) iex&gt; Infer.Image . is_webp ( binary ) true iex&gt; binary = File . read! ( &quot;test/images/sample.gif&quot; ) iex&gt; Infer.Image . is_webp ( binary ) false","ref":"Infer.Image.html#is_webp/1","title":"Infer.Image.is_webp/1","type":"function"},{"doc":"","ref":"Infer.Matchers.html","title":"Infer.Matchers","type":"module"},{"doc":"Order: Application, Image, Video, Audio, Font Document, Archive, Text.","ref":"Infer.Matchers.html#list/0","title":"Infer.Matchers.list/0","type":"function"},{"doc":"Text type matchers based on the magic number","ref":"Infer.Text.html","title":"Infer.Text","type":"module"},{"doc":"Takes the binary file contents as arguments. Returns true if it's html. See: https://mimesniff.spec.whatwg.org/ Examples iex&gt; Infer.Text . is_html ( &quot;&lt;!DOCTYPE html&gt;&quot; ) true iex&gt; Infer.Text . is_html ( &quot; &lt;BODY&gt;&quot; ) true iex&gt; Infer.Text . is_html ( &quot;&lt;&quot; ) false","ref":"Infer.Text.html#is_html/1","title":"Infer.Text.is_html/1","type":"function"},{"doc":"Takes the binary file contents as arguments. Returns true if it's a shell script.","ref":"Infer.Text.html#is_shell_script/1","title":"Infer.Text.is_shell_script/1","type":"function"},{"doc":"Takes the binary file contents as arguments. Returns true if it's xml. See: https://mimesniff.spec.whatwg.org/","ref":"Infer.Text.html#is_xml/1","title":"Infer.Text.is_xml/1","type":"function"},{"doc":"","ref":"Infer.Type.html","title":"Infer.Type","type":"module"},{"doc":"","ref":"Infer.Type.html#t:extension/0","title":"Infer.Type.extension/0","type":"type"},{"doc":"","ref":"Infer.Type.html#t:matcher_fun/0","title":"Infer.Type.matcher_fun/0","type":"type"},{"doc":"","ref":"Infer.Type.html#t:matcher_type/0","title":"Infer.Type.matcher_type/0","type":"type"},{"doc":"","ref":"Infer.Type.html#t:mime_type/0","title":"Infer.Type.mime_type/0","type":"type"},{"doc":"","ref":"Infer.Type.html#t:t/0","title":"Infer.Type.t/0","type":"type"},{"doc":"Video type matchers based on the magic number","ref":"Infer.Video.html","title":"Infer.Video","type":"module"},{"doc":"Takes the binary file contents as arguments. Returns true if it's a AVI video. ## Examples iex&gt; binary = File . read! ( &quot;test/videos/sample.avi&quot; ) iex&gt; Infer.Video . is_avi ( binary ) true","ref":"Infer.Video.html#is_avi/1","title":"Infer.Video.is_avi/1","type":"function"},{"doc":"Takes the binary file contents as arguments. Returns true if it's a flv video.","ref":"Infer.Video.html#is_flv/1","title":"Infer.Video.is_flv/1","type":"function"},{"doc":"Takes the binary file contents as arguments. Returns true if it's a m4v.","ref":"Infer.Video.html#is_m4v/1","title":"Infer.Video.is_m4v/1","type":"function"},{"doc":"Takes the binary file contents as arguments. Returns true if it's a mkv. Examples iex&gt; binary = File . read! ( &quot;test/videos/sample.mkv&quot; ) iex&gt; Infer.Video . is_mkv ( binary ) true","ref":"Infer.Video.html#is_mkv/1","title":"Infer.Video.is_mkv/1","type":"function"},{"doc":"Takes the binary file contents as arguments. Returns true if it's a mov video. ## Examples iex&gt; binary = File . read! ( &quot;test/videos/sample.mov&quot; ) iex&gt; Infer.Video . is_mov ( binary ) true","ref":"Infer.Video.html#is_mov/1","title":"Infer.Video.is_mov/1","type":"function"},{"doc":"Takes the binary file contents as arguments. Returns true if it's a mp4 video. Examples iex&gt; binary = File . read! ( &quot;test/videos/sample.mp4&quot; ) iex&gt; Infer.Video . is_mp4 ( binary ) true","ref":"Infer.Video.html#is_mp4/1","title":"Infer.Video.is_mp4/1","type":"function"},{"doc":"Takes the binary file contents as arguments. Returns true if it's a mpeg video. Examples iex&gt; binary = File . read! ( &quot;test/videos/sample.mpeg&quot; ) iex&gt; Infer.Video . is_mpeg ( binary ) true","ref":"Infer.Video.html#is_mpeg/1","title":"Infer.Video.is_mpeg/1","type":"function"},{"doc":"Takes the binary file contents as arguments. Returns true if it's a webm video. ## Examples iex&gt; binary = File . read! ( &quot;test/videos/sample.webm&quot; ) iex&gt; Infer.Video . is_webm ( binary ) true","ref":"Infer.Video.html#is_webm/1","title":"Infer.Video.is_webm/1","type":"function"},{"doc":"Takes the binary file contents as arguments. Returns true if it's a wmv video.","ref":"Infer.Video.html#is_wmv/1","title":"Infer.Video.is_wmv/1","type":"function"},{"doc":"A dependency free library to infer file and MIME type by checking the magic number signature. An elixir adaption of the infer rust library.","ref":"readme.html","title":"Infer","type":"extras"},{"doc":"The package can be installed by adding infer to your list of dependencies in mix.exs : def deps do [ { :infer , &quot;~&gt; 0.1.1&quot; } ] end The docs can be found at https://hexdocs.pm/infer .","ref":"readme.html#installation","title":"Infer - Installation","type":"extras"},{"doc":"Infer.get/1 Takes the binary file contents as argument and returns the Infer.Type.t() if the file matches one of the supported types. Returns nil otherwise. iex&gt; binary = File . read! ( &quot;test/images/sample.png&quot; ) iex&gt; Infer . get ( binary ) % Infer.Type { extension : &quot;png&quot; , matcher : &amp; Infer.Image . is_png / 1 , matcher_type : :image , mime_type : &quot;image/png&quot; } Infer.get_from_path/1 Similar to Infer.get/1 , but takes the file path as argument. iex&gt; Infer . get_from_path ( &quot;test/images/sample.png&quot; ) % Infer.Type { extension : &quot;png&quot; , matcher : &amp; Infer.Image . is_png / 1 , matcher_type : :image , mime_type : &quot;image/png&quot; } Infer.is/2 Takes the binary content and the file extension as arguments. Returns whether the file content is of the given extension. iex&gt; binary = File . read! ( &quot;test/images/sample.png&quot; ) iex&gt; Infer . is ( binary , &quot;png&quot; ) true Infer.is_mime/2 Takes the binary content and the file extension as arguments. Returns whether the file content is of the given mime type. iex&gt; binary = File . read! ( &quot;test/images/sample.png&quot; ) iex&gt; Infer . is_mime ( binary , &quot;image/png&quot; ) true Infer.is_image/1 Takes the binary file contents as argument and returns whether the file is an image or not. iex&gt; binary = File . read! ( &quot;test/images/sample.png&quot; ) iex&gt; Infer . is_image ( binary ) true Infer.is_document/1 Takes the binary file contents as argument and returns whether the file is a document (microsoft office, open office) iex&gt; binary = File . read! ( &quot;test/docs/sample.xlsx&quot; ) iex&gt; Infer . is_document ( binary ) true Infer.Doc.is_docx/1 Takes the binary file contents as arguments. Returns true if it's Microsoft Word Open XML Format Document (DOCX) data. iex&gt; binary = File . read! ( &quot;test/docs/sample.docx&quot; ) iex&gt; Infer.Doc . is_docx ( binary ) true","ref":"readme.html#examples","title":"Infer - Examples","type":"extras"},{"doc":"Image MIME Extension image/jpeg jpg image/jp2 jp2 image/png png image/gif image/web image/x-canon-c32 cr2 image/tiff tif image/bmp bmp image/vnd.ms-photo jxr image/vnd.adobe.photoshop psd image/vnd.microsoft.icon ico image/heif heif image/avif avif Video MIME Extension video/mp4 mp4 video/x-m4v m4v video/x-matroska mkv video/webm webm video/quicktime mov video/x-msvideo avi video/x-ms-wmv wmv video/mpeg mpg video/x-flv flv Audio MIME Extension audio/midi midi audio/mpeg mp3 audio/m4a m4a audio/ogg ogg audio/x-flac flac audio/x-wav wav audio/amr amr audio/aac aac audio/x-aiff aiff Document MIME Extension application/msword doc application/vnd.openxmlformats-officedocument.wordprocessingml.document docx application/vnd.ms-excel xls application/vnd.openxmlformats-officedocument.spreadsheetml.sheet xlsx application/vnd.ms-powerpoint ppt application/vnd.openxmlformats-officedocument.presentationml.presentation pptx application/vnd.oasis.opendocument.text odt application/vnd.oasis.opendocument.spreadsheet ods application/vnd.oasis.opendocument.presentation odp","ref":"readme.html#supported-types","title":"Infer - Supported Types","type":"extras"},{"doc":"MIME Extension application/epub+zip epub application/zip zip application/x-tar tar application/vnd.rar rar application/gzip gz application/x-bzip2 bz2 application/x-7z-compressed 7z application/x-xz xz application/is_pdf pdf application/x-shockwave-flash swf application/rtf rtf application/octet-stream eot application/postscript ps application/vnd.sqlite3 sqlite application/x-nintendo-nes-rom nex application/x-unix-archive ar application/x-compressed Z application/x-lzip lz application/x-rpm rpm application/dicom dcm application/zstd zst application/x-ole-storage msi application/x-google-chrome-extension crx application/vnd.ms-cab-compressed cab application/vnd.debian.binary-package deb Font MIME Extension application/font-woff woff application/font-woff2 woff2 application/font-sfnt ttf application/font-sfnt otf Book MIME Extension application/epub+zip epub application/x-mobipocket-ebook mobi Application MIME Extension application/wasm wasm application/x-executable elf application/vnd.microsoft.portable-executable exe application/vnd.microsoft.portable-executable dll application/java class application/x-llvm bc application/x-mach-binary mach application/vnd.android.dex dex application/vnd.android.det dey application/x-x509-ca-cert der application/x-executable obj","ref":"readme.html#archive","title":"Infer - Archive","type":"extras"},{"doc":"This project and is licensed under the MIT License - see the LICENSE file for details. Copyright (c) 2021 Daniel Khaapamyaki","ref":"readme.html#license","title":"Infer - License","type":"extras"}]